require 'payoneer/configuration'

module Payoneer
  class GetTokenRequest
    def get_token(payee_id, callback_url)
      Payoneer::Request.new.execute "GetToken", Payoneer::GetTokenResponse, credentials.merge({
        :p4 => payee_id, :p6 => callback_url
      })
    end

    def credentials
      { :p1 => Payoneer::Configuration.username,
        :p2 => Payoneer::Configuration.password,
        :p3 => Payoneer::Configuration.partner_id }
    end
  end
end