require 'nokogiri'

module Payoneer
  class PerformPayoutPaymentResponse
    def initialize(payload)
      @doc = Nokogiri::Slop(payload)
    end

    def success?
      status_code === "000"
    end

    def status_code
      @doc.PerformPayoutPayment.Status.content
    end

    def error_message
      @doc.PerformPayoutPayment.Description.content
    end

    def payoneer_id
      @doc.PerformPayoutPayment.PayoneerID.content
    end

    def payment_id
      @doc.PerformPayoutPayment.PaymentID.content
    end
  end
end